#ifndef __RIP_MOV_INST_H
#define __RIP_MOV_INST_H

#include "Windas.h"
#include "XedWrap.h"
#include "NativeCode.h"

BOOL JitEmitRipRelativeMovD(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, PUCHAR Data);

BOOL JitEmitRipRelativeMovW(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, PUCHAR Data);

BOOL JitEmitRipRelativeMovB(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, PUCHAR Data);


#endif
